digikam under Centos 7 x86_64

Issues related to applications and software problems
Post Reply
moche.schutzerman
Posts: 2
Joined: 2014/08/04 14:16:10

digikam under Centos 7 x86_64

Post by moche.schutzerman » 2014/08/04 14:28:07

Bonjour,

Could someone help me to install DigiKam (digikam-4.0.0-3.el7.x86_64 (epel) ) from Epel repository ?
Trying to proceed I have encountered the following :

=> yum install digikam
Loaded plugins: fastestmirror, langpacks, priorities
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* elrepo: mirrors.ircam.fr
* epel: epel.mirrors.ovh.net
* extras: mirror.ate.info
* nux-dextop: mirror.li.nux.ro
* updates: centos.crazyfrogs.org
40 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package digikam.x86_64 0:4.0.0-3.el7 will be installed
--> Processing Dependency: digikam-libs(x86-64) = 4.0.0-3.el7 for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: kio_mtp for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_videostab.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_video.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_ts.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_superres.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_stitching.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_photo.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_objdetect.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_ml.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_legacy.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_imgproc.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_highgui.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_flann.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_features2d.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_core.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_contrib.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libopencv_calib3d.so.2.4()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libkface.so.2()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libdigikamdatabase.so.4.0.0()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Processing Dependency: libdigikamcore.so.4.0.0()(64bit) for package: digikam-4.0.0-3.el7.x86_64
--> Running transaction check
---> Package digikam.x86_64 0:4.0.0-3.el7 will be installed
--> Processing Dependency: kio_mtp for package: digikam-4.0.0-3.el7.x86_64
---> Package digikam-libs.x86_64 0:4.0.0-3.el7 will be installed
---> Package libkface.x86_64 0:4.0.0-3.el7 will be installed
---> Package opencv.x86_64 0:2.4.5-3.el7 will be installed
---> Package opencv-core.x86_64 0:2.4.5-3.el7 will be installed
--> Finished Dependency Resolution
Error: Package: digikam-4.0.0-3.el7.x86_64 (epel)
Requires: kio_mtp
You could try using --skip-broken to work around the problem

kio_mtp a priori is not available with Centos 7...

Thanks much in advance

User avatar
TrevorH
Forum Moderator
Posts: 29457
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: digikam under Centos 7 x86_64

Post by TrevorH » 2014/08/04 17:42:19

I attempt to install digikam and mine offers me a list of packages to install and doesn't end with an error. I dop have the nux-dextop multimedia repository enabled as well as EPEL.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

moche.schutzerman
Posts: 2
Joined: 2014/08/04 14:16:10

Re: digikam under Centos 7 x86_64

Post by moche.schutzerman » 2014/08/05 08:39:35

Yep
I downloaded/compiled kio_mtp from https://projects.kde.org/projects/playg ... repository
Installation of Digikam has worked for me this morning. Perplexing...

ganeshmallyap
Posts: 18
Joined: 2014/09/15 15:09:00

Re: digikam under Centos 7 x86_64

Post by ganeshmallyap » 2014/10/21 15:51:39

Hi all,

I did not find digikam under EPEL repo. Here is the direct URL for the repo http://ftp.riken.jp/Linux/fedora/epel/7/x86_64/d/. I have installed the repo exactly the same way as indicated in the website. Am I missing something?

Regards
Ganesh

Post Reply

Return to “CentOS 7 - Software Support”